#
# spec file for package bcache-tools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bcache-tools
Summary:        Configuration utilities for bcache
License:        GPL-2.0-only
Group:          System/Base
Version:        1.0.9
Release:        1.1
Url:            http://bcache.evilpiepirate.org/

#Git-Clone:	http://evilpiepirate.org/git/bcache-tools.git
Source:         %name-%version.tar.xz
Patch1001:      1001-udev-do-not-rely-on-DRIVER-variable.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libblkid-devel
BuildRequires:  libsmartcols-devel
BuildRequires:  libuuid-devel
BuildRequires:  pkg-config
BuildRequires:  xz

%description
This package contains utilities for configuring the bcache Module.

%prep
%setup -qn %name
%patch1001 -p1

%build
export SUSE_ASNEEDED=0
make all CFLAGS="%optflags $(pkg-config blkid uuid smartcols --cflags) -std=gnu99" \
	LDFLAGS="$(pkg-config blkid uuid smartcols --libs)" %{?_smp_mflags}

%install
b="%buildroot"
# Without these existing, make install would fail
mkdir -p "$b"/{sbin,%_sbindir,%_mandir/man8,/lib/udev/rules.d}
mkdir -p "$b/%_sysconfdir/initramfs-tools/scripts/init-premount"
mkdir -p "$b/%_sysconfdir/initramfs-tools/hooks"
make install DESTDIR="$b" DRACUTLIBDIR="%_libexecdir/dracut"
# Not used in openSUSE
rm -Rf "$b/%_sysconfdir/initramfs-tools" "$b/%_prefix/lib/initcpio" \
	"$b/%_datadir/initramfs-tools"
mkdir -p "$b/%_prefix/lib"
mv "$b/lib/udev" "$b/%_prefix/lib/"

%files
%defattr(-,root,root)
%_sbindir/bcache-super-show
%_sbindir/make-bcache
%_sbindir/bcache
%_prefix/lib/udev
%_libexecdir/dracut/
%_mandir/man8/*.8*
%doc COPYING

%changelog
* Fri Sep 14 2018 colyli@suse.com
- Update bcache-tools to 1.0.9, this is required by yast2 bcache module
  development. In this version a new program named "bcache" is added,
  by this program people may avoid many operations on sysfs entries.
  (bsc#1109460)
- Remove the following patche since it is in upstream,
  - 0001-build-remove-inline-keyword-from-crc64.patch
- Rename prefix of
  0001-udev-do-not-rely-on-DRIVER-variable.patch
  to a SUSE specific patch prefix
  1001-udev-do-not-rely-on-DRIVER-variable.patch
* Fri Mar 27 2015 jengelh@inai.de
- Update to new upstream release 1.0.8
  * bcache-register is now a C program
- Add 0001-udev-do-not-rely-on-DRIVER-variable.patch to entirely
  disable /dev/bcache symlinks for now, rather than have it
  half-working [bnc#880858]
* Mon Aug 18 2014 meissner@suse.com
- removed unnecessary openssl-devel buildrequires
* Fri Apr  4 2014 jengelh@inai.de
- Update to new upstream release 0.9
  * Run probe-bcache a little later in the udev rule sequence
  (moving from position 61 to 69), fixing a machine hang on
  bcache reassemble (bnc#868938)
- Add 0001-build-remove-inline-keyword-from-crc64.patch, this is
  a build fix.
* Wed Mar 19 2014 oneukum@suse.com
- Move bcache rule from position 61 to position 74
  (bnc#868938)
* Wed Aug  7 2013 jengelh@inai.de
- Update to new snapshot 0.1.g71
  * Support for superblocks up to version 4
* Wed Jun 26 2013 jengelh@inai.de
- Move udev rules to /usr/lib/udev/rules.d
* Tue Feb 26 2013 jengelh@inai.de
- Update to new current snapshot
  42c182c6ab1530b5e3b18893f284da3eaec46e74 (0.1.g45)
* Mon Feb 21 2011 ro@suse.de
- create package
